<template>
  <div class="page-body">
    <div class="head-box">
      <div class="head-box-top">
        <div class="top-call" />
        <div class="top-call"><img src="@/assets/home_images/gemho_logo_b.png"></div>
        <div class="top-call"><title-menus ref="titleMenus" menu-index="1" style="padding-top: 15px" /></div>
        <div class="top-call"><user-login ref="userLogin" /></div>
        <div class="top-call"><language-setting ref="languageSetting" /></div>
      </div>
    </div>
    <div class="content-box">
      <breadcrumb />
    </div>
    <div style="width:100vw;height: 100vh" />
    <home-footer ref="homeFooter" />
  </div>
</template>
<script>
import titleMenus from '../components/titleMenusV2'
import userLogin from '../components/userLoginV2'
import languageSetting from '../components/languageSettingV2'
import breadcrumb from '../components/breadcrumb'
import homeFooter from '../components/homeFooter'

export default {
  components: { titleMenus, userLogin, languageSetting, breadcrumb, homeFooter },
  dicts: ['product_type', 'area_province'],
  data() {
    return {
      imgSrcStart: process.env.VUE_APP_BASE_API,
      query: {},
      currentProductTypeObj: null,
      throttle: null, // 节流器
      throttleTime: 300
    }
  },
  mounted() {
    this.$nextTick(() => {

    })
  },
  methods: {
    onDictReady(dict) {},
    // 点击询价
    inquiry(item, type) {
      console.log(item, type)
    },
    // 点击收藏
    storeShowcase(item, type) {
      item.isStore = !item.isStore
      console.log(item, type)
    },
    // 跳转到详情
    goToDetails(item, type) {
      console.log(item, type)
    },
    // 点击更多
    moreTo(type) {
      console.log(type)
    },
    goTop() {
      document.body.scrollTop = 0
      document.documentElement.scrollTop = 0
    }
  }
}
</script>
<style rel="stylesheet/scss" lang="scss" scoped>
.touch {
  cursor:pointer;
}
.clear {
  clear: both
}
.head-box {
  width: 100vw;
  top: 0;
  position: fixed;
  background: none repeat scroll 0 0 white;
  z-index: 99;
  box-shadow: 0px 3px 7px 0px rgba(0,0,0,0.2);
  .head-box-top {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    .top-call {
      height: 80px;
      padding-top: 15px;
    }
  }
}
.content-box {
  display: flex;
  justify-content: center;
  margin-top: 94px;
  user-select: none;
  .showcase {
    width: 90%;
  }
}
</style>
